跳转到主要内容
GET
/
open
/
institution
/
v1
/
plan
/
detail
查询订阅计划详情
curl --request GET \
  --url https://openplatform.gateapi.io/pay-subscription/open/institution/v1/plan/detail \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "code": "0",
  "message": "",
  "data": {
    "merchantPlanNo": "plan031004",
    "planNo": "63784604430893064",
    "planName": "Plan 01",
    "planDesc": "Plan Description 01",
    "merchantId": "10002",
    "productNo": "2",
    "productName": "Tencent",
    "priceNo": "3",
    "priceName": "Weekly",
    "cryptoCurrency": "USDT",
    "cryptoAmount": "5",
    "fiatCurrency": null,
    "fiatAmount": "0",
    "period": "WEEK",
    "interval": 1,
    "trialDays": 97,
    "totalPayCount": 65,
    "endTime": null,
    "planStatus": "on",
    "authorizedAmount": "331.95",
    "promoAmount": "0",
    "promoRate": "0.1",
    "createTime": 1773099791000,
    "updateTime": 1773099791000
  },
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.gate.com/llms.txt

Use this file to discover all available pages before exploring further.

概述

本页说明 GET /open/institution/v1/plan/detail 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

说明

  • 认证方式使用 GatePay 标准签名请求头。
  • 本页展示同一接口的机构路径版本。
  • 除创建子账户、查询子账户详情、分页查询子账户外,机构侧请求需携带 X-GatePay-On-Behalf-Of
  • 通用签名规则请参见 /api-reference/version/100/cn/common/securityAndSignature

请求头

X-GatePay-Certificate-ClientId
string
必填

商户客户端ID,在 GatePay 平台申请获得

示例:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
必填

HMAC-SHA256签名,用于验证请求合法性

示例:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"

X-GatePay-Timestamp
string
必填

时间戳(毫秒),与服务器时间差不能超过5分钟

示例:

"1672905655498"

X-GatePay-Nonce
string
必填

随机数,用于防止重放攻击

示例:

"9578"

X-GatePay-On-Behalf-Of
string
必填

必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。

查询参数

planNo
string

平台订阅计划编号(与 merchantPlanNo 任选一个)

示例:

"63784604430893064"

merchantPlanNo
string

商户订阅计划编号(与planNo任选一个)

示例:

"PLAN_20240101_001"

响应

200 - application/json

查询订阅计划详情成功

code
string

响应码,0 表示成功

示例:

"0"

message
string

响应描述,成功时为空

示例:

""

success
boolean

请求是否成功

示例:

true

data
object

响应数据